package com.emall.flash.api.controller.shop;

import com.emall.flash.bean.constant.factory.PageFactory;
import com.emall.flash.bean.entity.shop.Favorite;
import com.emall.flash.bean.vo.front.Rets;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.service.shop.FavoriteService;
import com.emall.flash.utils.factory.Page;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/shop/favorite")
public class FavoriteController {
	private  Logger logger = LoggerFactory.getLogger(getClass());
	@Autowired
	private FavoriteService favoriteService;

	@RequestMapping(value = "/list",method = RequestMethod.GET)
	public Object list(@RequestParam Long goodsId,
					   @RequestParam(required = false)  String name,
					   @RequestParam(required = false) String phone) {
//		Page<Favorite> page = new PageFactory<Favorite>().defaultPage();
//		page.addFilter(SearchFilter.build("idGoods", goodsId));
//		page.addFilter(SearchFilter.build("delFlag", 0));
//		page = favoriteService.queryPage(page);
		Page page = new PageFactory().defaultPage();
		page.setSort(Sort.by(Sort.Direction.DESC, "create_time"));
		page = favoriteService.selectPage(page,goodsId,name,phone);
		return Rets.success(page);
	}
}
