package com.emall.flash.api.controller.system;

import com.emall.flash.bean.entity.system.City;
import com.emall.flash.bean.vo.front.Rets;
import com.emall.flash.service.system.CityService;
import com.emall.flash.web.controller.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author ：enilu
 * @date ：Created in 11/5/2019 7:36 PM
 */
@RestController
@RequestMapping("/city")
public class CityController extends BaseController {
    @Autowired
    private CityService cityService;

    @RequestMapping(value = "/queryCity",method = RequestMethod.GET)
    public Object queryCity(){
        List<City> list = cityService.queryAll(Sort.by(Sort.Direction.ASC,"sort"));
        return Rets.success(list);
    }

}
